<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:intf="http://entry.serviceengine.cross.digiwin.com" xmlns:apachesoap="http://xml.apache.org/xml-soap" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:impl="http://entry.serviceengine.cross.digiwin.com" targetNamespace="http://entry.serviceengine.cross.digiwin.com" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema xmlns="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" targetNamespace="http://entry.serviceengine.cross.digiwin.com">
      <xsd:element name="regEAI">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="in0" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="regEAIResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="regEAIReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getParamList">
        <xsd:complexType />
      </xsd:element>
      <xsd:element name="getParamListResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getParamListReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="regProdAP">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="in0" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="regProdAPResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="regProdAPReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="regSrv">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="in0" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="regSrvResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="regSrvReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getProdList">
        <xsd:complexType />
      </xsd:element>
      <xsd:element name="getProdListResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getProdListReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getProd">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="in0" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getProdResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getProdReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getSrv">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="in0" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getSrvResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getSrvReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="invokeEtl">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="in0" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="invokeEtlResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="invokeEtlReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="invokeSrv">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="in0" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="invokeSrvResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="invokeSrvReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getEtlJobList">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="in0" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getEtlJobListResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getEtlJobListReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="invokeMdm">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="in0" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="invokeMdmResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="invokeMdmReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="invokeEtlResponse">
    <wsdl:part name="parameters" element="impl:invokeEtlResponse" />
  </wsdl:message>
  <wsdl:message name="invokeEtlRequest">
    <wsdl:part name="parameters" element="impl:invokeEtl" />
  </wsdl:message>
  <wsdl:message name="regSrvRequest">
    <wsdl:part name="parameters" element="impl:regSrv" />
  </wsdl:message>
  <wsdl:message name="invokeSrvResponse">
    <wsdl:part name="parameters" element="impl:invokeSrvResponse" />
  </wsdl:message>
  <wsdl:message name="regEAIRequest">
    <wsdl:part name="parameters" element="impl:regEAI" />
  </wsdl:message>
  <wsdl:message name="getProdListResponse">
    <wsdl:part name="parameters" element="impl:getProdListResponse" />
  </wsdl:message>
  <wsdl:message name="getProdResponse">
    <wsdl:part name="parameters" element="impl:getProdResponse" />
  </wsdl:message>
  <wsdl:message name="regProdAPResponse">
    <wsdl:part name="parameters" element="impl:regProdAPResponse" />
  </wsdl:message>
  <wsdl:message name="getEtlJobListRequest">
    <wsdl:part name="parameters" element="impl:getEtlJobList" />
  </wsdl:message>
  <wsdl:message name="getSrvRequest">
    <wsdl:part name="parameters" element="impl:getSrv" />
  </wsdl:message>
  <wsdl:message name="invokeSrvRequest">
    <wsdl:part name="parameters" element="impl:invokeSrv" />
  </wsdl:message>
  <wsdl:message name="getParamListResponse">
    <wsdl:part name="parameters" element="impl:getParamListResponse" />
  </wsdl:message>
  <wsdl:message name="getSrvResponse">
    <wsdl:part name="parameters" element="impl:getSrvResponse" />
  </wsdl:message>
  <wsdl:message name="getParamListRequest">
    <wsdl:part name="parameters" element="impl:getParamList" />
  </wsdl:message>
  <wsdl:message name="getProdRequest">
    <wsdl:part name="parameters" element="impl:getProd" />
  </wsdl:message>
  <wsdl:message name="invokeMdmResponse">
    <wsdl:part name="parameters" element="impl:invokeMdmResponse" />
  </wsdl:message>
  <wsdl:message name="regSrvResponse">
    <wsdl:part name="parameters" element="impl:regSrvResponse" />
  </wsdl:message>
  <wsdl:message name="getProdListRequest">
    <wsdl:part name="parameters" element="impl:getProdList" />
  </wsdl:message>
  <wsdl:message name="getEtlJobListResponse">
    <wsdl:part name="parameters" element="impl:getEtlJobListResponse" />
  </wsdl:message>
  <wsdl:message name="invokeMdmRequest">
    <wsdl:part name="parameters" element="impl:invokeMdm" />
  </wsdl:message>
  <wsdl:message name="regEAIResponse">
    <wsdl:part name="parameters" element="impl:regEAIResponse" />
  </wsdl:message>
  <wsdl:message name="regProdAPRequest">
    <wsdl:part name="parameters" element="impl:regProdAP" />
  </wsdl:message>
  <wsdl:portType name="IntegrationEntry">
    <wsdl:operation name="regEAI">
      <wsdl:input name="regEAIRequest" message="impl:regEAIRequest" />
      <wsdl:output name="regEAIResponse" message="impl:regEAIResponse" />
    </wsdl:operation>
    <wsdl:operation name="getParamList">
      <wsdl:input name="getParamListRequest" message="impl:getParamListRequest" />
      <wsdl:output name="getParamListResponse" message="impl:getParamListResponse" />
    </wsdl:operation>
    <wsdl:operation name="regProdAP">
      <wsdl:input name="regProdAPRequest" message="impl:regProdAPRequest" />
      <wsdl:output name="regProdAPResponse" message="impl:regProdAPResponse" />
    </wsdl:operation>
    <wsdl:operation name="regSrv">
      <wsdl:input name="regSrvRequest" message="impl:regSrvRequest" />
      <wsdl:output name="regSrvResponse" message="impl:regSrvResponse" />
    </wsdl:operation>
    <wsdl:operation name="getProdList">
      <wsdl:input name="getProdListRequest" message="impl:getProdListRequest" />
      <wsdl:output name="getProdListResponse" message="impl:getProdListResponse" />
    </wsdl:operation>
    <wsdl:operation name="getProd">
      <wsdl:input name="getProdRequest" message="impl:getProdRequest" />
      <wsdl:output name="getProdResponse" message="impl:getProdResponse" />
    </wsdl:operation>
    <wsdl:operation name="getSrv">
      <wsdl:input name="getSrvRequest" message="impl:getSrvRequest" />
      <wsdl:output name="getSrvResponse" message="impl:getSrvResponse" />
    </wsdl:operation>
    <wsdl:operation name="invokeEtl">
      <wsdl:input name="invokeEtlRequest" message="impl:invokeEtlRequest" />
      <wsdl:output name="invokeEtlResponse" message="impl:invokeEtlResponse" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv">
      <wsdl:input name="invokeSrvRequest" message="impl:invokeSrvRequest" />
      <wsdl:output name="invokeSrvResponse" message="impl:invokeSrvResponse" />
    </wsdl:operation>
    <wsdl:operation name="getEtlJobList">
      <wsdl:input name="getEtlJobListRequest" message="impl:getEtlJobListRequest" />
      <wsdl:output name="getEtlJobListResponse" message="impl:getEtlJobListResponse" />
    </wsdl:operation>
    <wsdl:operation name="invokeMdm">
      <wsdl:input name="invokeMdmRequest" message="impl:invokeMdmRequest" />
      <wsdl:output name="invokeMdmResponse" message="impl:invokeMdmResponse" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="IntegrationEntrySoapBinding" type="impl:IntegrationEntry">
    <wsdlsoap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="regEAI">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="regEAIRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="regEAIResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getParamList">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getParamListRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getParamListResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="regProdAP">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="regProdAPRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="regProdAPResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="regSrv">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="regSrvRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="regSrvResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getProdList">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getProdListRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getProdListResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getProd">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getProdRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getProdResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getSrv">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getSrvRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getSrvResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeEtl">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="invokeEtlRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="invokeEtlResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="invokeSrvRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="invokeSrvResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getEtlJobList">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getEtlJobListRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getEtlJobListResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeMdm">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="invokeMdmRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="invokeMdmResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="IntegrationEntry">
    <wsdl:port name="IntegrationEntry" binding="impl:IntegrationEntrySoapBinding">
      <wsdlsoap:address location="http://10.40.41.197:9999/IntegrationEntry" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>